from .util import validate_and_normalize_sha256

from ....shared.dto import Dto


class ExistenceRequestBody(Dto):
    def __init__(self, sha256=None):
        self.sha256 = sha256 if sha256 is not None else list()

    def validate_and_normalize_sha256(self):
        self.sha256 = validate_and_normalize_sha256(self.sha256)
