from ....shared.dto import Dto


class FilepathResults(Dto):
    def __init__(
        self, sha256, total_file_path_count=None, file_path_count=None, file_paths=None
    ):

        self.sha256 = sha256
        self.total_file_path_count = total_file_path_count
        self.file_path_count = file_path_count
        self.file_paths = file_paths if file_paths is not None else []


class Filepath(Dto):
    def __init__(self, count=None, file_path=None, first_seen_timestamp=None):

        self.count = count
        self.file_path = file_path
        self.first_seen_timestamp = first_seen_timestamp
