from ....shared.dto import Dto


class DeviceResults(Dto):
    def __init__(
        self,
        sha256,
        num_devices=None,
        first_seen_device_timestamp=None,
        first_seen_device_id=None,
        first_seen_device_name=None,
        last_seen_device_timestamp=None,
        last_seen_device_id=None,
        last_seen_device_name=None,
    ):

        self.sha256 = sha256
        self.num_devices = num_devices
        self.first_seen_device_timestamp = first_seen_device_timestamp
        self.first_seen_device_id = first_seen_device_id
        self.first_seen_device_name = first_seen_device_name
        self.last_seen_device_timestamp = last_seen_device_timestamp
        self.last_seen_device_id = last_seen_device_id
        self.last_seen_device_name = last_seen_device_name
